Package ru.bitel.bgbilling.plugins.crm.common.model

# Class RegisterExecutor

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.crm.common.model.RegisterExecutor

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class RegisterExecutor extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RegisterExecutor.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterExecutor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RegisterExecutor.Builder`
  `builder()`
  `List<Integer>`
  `getGroupList()`
  `String`
  `getParams()`
  `void`
  `setGroupList(List<Integer> groupList)`
  `void`
  `setParams(String params)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### RegisterExecutor

    public RegisterExecutor()

- ## Method Details

  - ### getGroupList

    public List<Integer> getGroupList()

  - ### setGroupList

    public void setGroupList(List<Integer> groupList)

  - ### getParams

    public String getParams()

  - ### setParams

    public void setParams(String params)

  - ### builder

    public static RegisterExecutor.Builder builder()